package com.bocloud.cmp.model;

import com.bocloud.cmp.model.powervc.HostSeaAdapterModel;

import java.util.List;

public class NetBean {
    private Long id;
    private String name;
    private Boolean adminStateup;
    private Boolean shared;// 是否共享
    private Boolean isRouterExternal;// 是否外部访问
    // add for powervc
    private Integer mtu; // 最大传输单元 (MTU) 指定最大以太网包大小。缺省值通常为 1500 个字节。
    private List<SubnetModel> subnets; // 该网络的子网
    private List<HostSeaAdapterModel> seas;

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the adminStateup
     */
    public Boolean getAdminStateup() {
        return adminStateup;
    }

    /**
     * @param adminStateup the adminStateup to set
     */
    public void setAdminStateup(Boolean adminStateup) {
        this.adminStateup = adminStateup;
    }

    /**
     * @return the shared
     */
    public Boolean getShared() {
        return shared;
    }

    /**
     * @param shared the shared to set
     */
    public void setShared(Boolean shared) {
        this.shared = shared;
    }

    /**
     * @return the isRouterExternal
     */
    public Boolean getIsRouterExternal() {
        return isRouterExternal;
    }

    /**
     * @param isRouterExternal the isRouterExternal to set
     */
    public void setIsRouterExternal(Boolean isRouterExternal) {
        this.isRouterExternal = isRouterExternal;
    }

    public Integer getMtu() {
        return mtu;
    }

    public void setMtu(Integer mtu) {
        this.mtu = mtu;
    }

    public List<SubnetModel> getSubnets() {
        return subnets;
    }

    public void setSubnets(List<SubnetModel> subnets) {
        this.subnets = subnets;
    }

    public List<HostSeaAdapterModel> getSeas() {
        return seas;
    }

    public void setSeas(List<HostSeaAdapterModel> seas) {
        this.seas = seas;
    }
}
